eslint-plugin-typescript

TypeScript plugin for ESLint

Deprecated: Use @typescript-eslint/eslint-plugin instead
Last updated 3 years ago by bradzacher .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install eslint-plugin-typescript 
SYNC missed versions from official npm registry.

eslint-plugin-typescript

TypeScript support for ESLint. (This is still in the very early stages, so please be patient.)

Installation

You'll first need to install ESLint:

$ npm i eslint --save-dev

Next, install typescript-eslint-parser:

$ npm install typescript-eslint-parser --save-dev

Last, install eslint-plugin-typescript:

$ npm install eslint-plugin-typescript --save-dev

Note: If you installed ESLint globally (using the -g flag) then you must also install eslint-plugin-typescript globally.

Usage

Add typescript-eslint-parser to the parser field and typescript to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

{
    "parser": "typescript-eslint-parser",
    "plugins": [
        "typescript"
    ]
}

Then configure the rules you want to use under the rules section.

{
    "rules": {
        "typescript/rule-name": "error"
    }
}

Supported Rules

Current Tags

  • 0.14.0                                ...           latest (3 years ago)
  • 1.0.0-rc.3                                ...           next (3 years ago)

20 Versions

  • 1.0.0-rc.3                                ...           3 years ago
  • 1.0.0-rc.2                                ...           3 years ago
  • 1.0.0-rc.1                                ...           3 years ago
  • 1.0.0-rc.0                                ...           3 years ago
  • 0.14.0 [deprecated]           ...           3 years ago
  • 0.14.0-rc.1                                ...           3 years ago
  • 0.13.0 [deprecated]           ...           3 years ago
  • 0.12.0 [deprecated]           ...           3 years ago
  • 0.11.0 [deprecated]           ...           4 years ago
  • 0.10.0 [deprecated]           ...           4 years ago
  • 0.9.0 [deprecated]           ...           4 years ago
  • 0.8.1 [deprecated]           ...           4 years ago
  • 0.8.0 [deprecated]           ...           4 years ago
  • 0.7.0 [deprecated]           ...           4 years ago
  • 0.6.0 [deprecated]           ...           4 years ago
  • 0.5.0 [deprecated]           ...           4 years ago
  • 0.4.0 [deprecated]           ...           4 years ago
  • 0.3.0 [deprecated]           ...           4 years ago
  • 0.1.0 [deprecated]           ...           5 years ago
  • 0.0.1 [deprecated]           ...           5 years ago
Maintainers (1)
Downloads
Today 1
This Week 2,157
This Month 6,154
Last Day 406
Last Week 2,422
Last Month 10,512
Dependencies (1)
Dev Dependencies (12)
Dependents (178)

Copyright 2014 - 2021 © npmmirror.com |